Index: branch/Antourou/Emb_App/programme_principal_etud.c
===================================================================
--- branch/Antourou/Emb_App/programme_principal_etud.c	(revision 497)
+++ branch/Antourou/Emb_App/programme_principal_etud.c	(revision 498)
@@ -153,7 +153,8 @@
 short nom_piste;
 
 // fonction et asservissment
-unsigned short position_Tourelle() // lire la  position de la tourelle
+//1: lire la  position de la tourelle
+unsigned short position_Tourelle() 
 {
         CanFrame req;
         UINT flag;
@@ -165,7 +166,8 @@
         
         return  periph[ADDR('R')].val; 
 }
-void acquivitesse_Tour(int vit)//vitesse tourelle 
+//2:vitesse tourelle
+void acquivitesse_Tour(int vit) 
 {
         CanFrame comm;
         comm.data.id = 'T';
@@ -173,7 +175,8 @@
         comm.data.val = vit;
         snd_dtq (CanTx,comm.msg);
 }
-unsigned short acqui_distance_Telem()// acquisition distance du telemetre en cm pour le calcul de la distance
+//3: acquisition distance du telemetre en cm pour le calcul de la distance
+unsigned short acqui_distance_Telem()
 {
         CanFrame requete;
         UINT flag;
@@ -186,7 +189,8 @@
         // distance=periph[ADDR('U')].val;
         return  periph[ADDR('U')].val; 
 }
-void vitesse_vehicule(int vitesse)// réglage de la  vitesse du vehicule 
+// 4:réglage de la  vitesse du vehicule 
+void vitesse_vehicule(int vitesse)
 {
         CanFrame comm;
         comm.data.id = 'V';
@@ -195,7 +199,7 @@
         snd_dtq (CanTx,comm.msg);
 }
 
-// Fonction pour l'arrêt d'urgence de la voiture
+//5: Fonction pour l'arrêt d'urgence de la voiture
 void arret_urgence(void)
 {		short stop;
         CanFrame comm;
@@ -208,11 +212,11 @@
                 comm.data.rtr=0;
                 comm.data.val=0;
                 snd_dtq(CanTx, comm.msg);
-                LED_R=1;
+                LED_R=1;// allumer la led rouge en cas d'arrêt d'urgence
         }
 }
-
-unsigned short distanceaumur()//acquisition distance des roues au mur en cm
+//6:acquisition distance des roues au mur en cm
+unsigned short distanceaumur()
 {
         unsigned short longtelem, pos_tourelle, distanceaumur; 
         longtelem = acqui_distance_Telem();
@@ -221,8 +225,8 @@
         return distanceaumur; 
 }
 
-
-void roue_directrices(unsigned short angleroue)// commande des roues  (angle des  en 10e de degre)
+//7: commande des roues  (angle des  en 10e de degre)
+void roue_directrices(unsigned short angleroue)
 {
         CanFrame comm;
         
@@ -232,7 +236,8 @@
         snd_dtq (CanTx,comm.msg);
         
 }
-void regulation_roue() // asservissment avec Correcteur proportionnel afin de réguler la direction des roues directrices
+//8:asservissment avec Correcteur proportionnel afin de réguler la direction des roues directrices
+void regulation_roue() 
 {
        	unsigned short  dConsigne , distance, k;
         int angleroue;
@@ -257,7 +262,7 @@
         }
 }
 
-
+// 9: asservissment tourelle
 void asservissment_tour()
 {
         unsigned short posConsigne,posfinale;
@@ -273,6 +278,22 @@
               dly_tsk(100);
         }
 }
+// FONCTION LECTURE CAPTEUR 
+void Capteur(){
+		short capteur;
+        CanFrame requete;
+        UINT flag;
+        while(1)
+        {
+                requete.data.id='C';
+                requete.data.rtr=1;//Lecture de la valeur du capteur
+                periph[ADDR('C')].ev=0x03;
+                snd_dtq(CanTx,requete.msg);
+                wai_flg(ev_periph, 0x03, TWF_ANDW,&flag);
+                capteur=periph[ADDR('C')].val;
+                dly_tsk(20);
+        }
+}
 
 
 // MAIN:
@@ -327,7 +348,7 @@
   }
 */
 
-//foction qui permet de démmarrer en fonction de la couleur du feu
+//foction qui permet de démarrer  le vehicule en fonction de la couleur du feu
 void demarrage_voiture()
 {	CanFrame requete;
 	UINT flag;
@@ -394,21 +415,6 @@
 }
  !!!!!!!!! REVOIR LES FONCTIONS NON TESTé sur mon ordi
  */
-/*//Pour lire les valeurs des capteurs
-void Capteur(){
-		short capteur;
-        CanFrame requete;
-        UINT flag;
-        while(1)
-        {
-                requete.data.id='C';
-                requete.data.rtr=1;//Lecture de la valeur du capteur
-                periph[ADDR('C')].ev=0x03;
-                snd_dtq(CanTx,requete.msg);
-                wai_flg(ev_periph, 0x03, TWF_ANDW,&flag);
-                capteur=periph[ADDR('C')].val;
-                dly_tsk(20);
-        }
-}
-*/
+
+
 	
\ No newline at end of file